function getModelPreset(preset) {
    let model = {};
    model.K = {};
    model.Na = {};
    model.L  = {};

    switch (preset) {
        case 'squid-axon':
            // Compartment model variables
            model.diameter = 0;     // Compartment diameter
            model.C = 1; 			// Compartment capacitance (uF/cm^2)
            model.Eref = -60;		// Reference membrane potential
            model.VRest = -50.8;	// Resting membrane potential
            model.V0 = -60.8;		// Initial membrane potential

            // Ion model variables
            model.K.GMax = 36;	    // Maximal Potassium conductance
            model.K.E = -73.3; 		// Potassium Nernst potential (mV)
            model.Na.GMax = 120;	// Maximal Sodium conductance
            model.Na.E = 41.3;		// Sodium Nernst potential (mV)
            model.L.GMax = 0.3;	    // Maximal Sodium conductance
            model.L.E = -54.387;	// Sodium Nernst potential (mV)

            // Channel model variables
            model.n = 0.32;			// n variable
            model.m = 0.05;			// m variable
            model.h = 0.60;			// h variable
            model.K.I = 0;			// Potassium current
            model.K.G = 0;			// Potassium conductance
            model.Na.I = 0;			// Sodium current
            model.Na.G = 0;			// Sodium conductance
            model.L.I = 0;	        // Leak current
            model.L.G = model.L.GMax; // Leak conductance
    }

    return model;
}